URI Struct Reference

Represents a URI used in parse_uri and elsewhere. More...

`#include <uri.h>`

Collaboration diagram for URI:
[legend]

## Data Fields

enum uriType | type
token | scheme
enum pathType | path_type
token | pathquery
token | fragment
hostport_type | hostport

## Detailed Description

Represents a URI used in parse_uri and elsewhere.

The documentation for this struct was generated from the following file:

- /build/pupnp-yoxcDv/pupnp-1.14.31/upnp/src/inc/uri.h